<div class="view-rankings-container">
  <header class="app-header">
    <button class="back-button" (click)="goBack()">
      ←
    </button>
    <h1 class="app-title">View Rankings</h1>
  </header>
  <div *ngIf="competitions.length > 0" class="competition-section">
    <h3>Competitions</h3>
    <ul>
      <li *ngFor="let competition of competitions">
        <a [routerLink]="['/competition', competition.id]" class="competition-link"><strong>{{ competition.name }}</strong></a>
        <p>Participants: {{ competition.participants }}</p>
        <p>Scoring System: {{ competition.scoringSystem }}</p>
      </li>
    </ul>
  </div>
</div>
